import { expect } from '@playwright/test';
import { test } from '../fixture';

test('sample login test', async ({ loginPage, config }) => {
  await loginPage.connect();
  await loginPage.autofill(config.DEFAULT_USER, config.DEFAULT_PASSWORD);
  await expect(await loginPage.username.inputValue()).toContain(config.DEFAULT_USER);
  await expect(await loginPage.password.inputValue()).toContain(config.DEFAULT_PASSWORD);
  await loginPage.attemptLogin();
});
